summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorVinícius dos Santos Oliveira2015-06-14 02:09:55 -0300
committerVinícius dos Santos Oliveira2015-06-14 02:09:55 -0300
commitbd91d497c6e0b75c860e1cb621d18ea6495dd90b (patch)
tree84b2a70f62039f80b8b59ef642447a795a311c6c
downloadaur-bd91d497c6e0b75c860e1cb621d18ea6495dd90b.tar.gz
Genesis commit
-rw-r--r--.SRCINFO18
-rw-r--r--PKGBUILD38
2 files changed, 56 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..a7719e604aa
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,18 @@
+# Generated by makepkg 4.2.1
+# Sun Jun 14 02:48:28 UTC 2015
+pkgbase = inkscape-open-symbols-git
+ pkgdesc = Open source icon sets to use as Inkscape symbols
+ pkgver = r27.edaad3d
+ pkgrel = 1
+ url = https://github.com/Xaviju/inkscape-open-symbols
+ arch = any
+ license = custom
+ makedepends = git
+ depends = inkscape
+ source = inkscape-open-symbols::git+https://github.com/Xaviju/inkscape-open-symbols.git
+ source = https://raw.githubusercontent.com/google/material-design-icons/ac6812576bce556dd736f6f28a42e15cdf386b6e/LICENSE
+ md5sums = SKIP
+ md5sums = 30cdba52b170859bf6e7ec48a1e43dda
+
+pkgname = inkscape-open-symbols-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..1e8da7a15f9
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,38 @@
+# Maintainer: Vinícius dos Santos Oliveira <vini.ipsmaker@gmail.com>
+_pkgname="inkscape-open-symbols"
+pkgname="${_pkgname}-git"
+pkgver=r27.edaad3d
+pkgrel=1
+pkgdesc="Open source icon sets to use as Inkscape symbols"
+arch=('any')
+url="https://github.com/Xaviju/inkscape-open-symbols"
+license=('custom')
+depends=('inkscape')
+makedepends=('git')
+source=("${_pkgname}::git+https://github.com/Xaviju/inkscape-open-symbols.git"
+ 'https://raw.githubusercontent.com/google/material-design-icons/ac6812576bce556dd736f6f28a42e15cdf386b6e/LICENSE')
+md5sums=('SKIP'
+ '30cdba52b170859bf6e7ec48a1e43dda')
+
+pkgver() {
+ cd "${srcdir}/${_pkgname}"
+ ( set -o pipefail
+ git describe --long --tags 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+package() {
+ cd "${srcdir}/${_pkgname}"
+
+ mkdir -p "${pkgdir}/usr/share/inkscape/symbols"
+ for i in material-design octicons humble-ui suru-icons font-awesome; do
+ find "$i" -mindepth 1 -iname '*.svg' \
+ -exec 'cp' '{}' "${pkgdir}/usr/share/inkscape/symbols" ';'
+ done
+
+ mkdir -p "${pkgdir}/usr/share/licenses/${_pkgname}"
+ cp "${srcdir}/LICENSE" "${pkgdir}/usr/share/licenses/${_pkgname}"
+}
+
+# vim:set ts=2 sw=2 et: